features:
  top:
    - name: "Explore aggregated logs"
      available_in: [ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/clusters/kubernetes_pod_logs.html#full-text-search'
      video: 'https://www.youtube.com/embed/hWclZHA7Dgw'
      reporter: dovhershkovitch
      stage: monitor
      categories:
        - "Logging"
      issue_url: 'https://gitlab.com/groups/gitlab-org/-/epics/1348'
      description: |
          In a cloud-native world with short-lived services and logs distributed across multiple pods and services, aggregation of logs for observability becomes critical. GitLab 12.8 introduces log aggregation using the Elastic stack.

          After attaching a Kubernetes cluster, you can install the Elastic stack, which contains an Elasticsearch instance with Filebeat, a light-weight log shipper. Once enabled, GitLab automatically collects all application logs and surfaces them on the UI.

          With this, you will be able to view your aggregated Kubernetes logs across multiple services and infrastructure, go back in time, conduct infinite scroll, and search through your application logs.

          This can be useful if you are triaging an application incident or validating the status of your service and need to explore logs from across your application and conduct a full-text search. It also helps you to understand what is affecting your application's performance and resolve any problems as they arise.
